### Method

# Adw MessageDialogset_close_response

since: 1.2

#### Declaration [src]

    void
    adw_message_dialog_set_close_response (
      AdwMessageDialog* self,
      const char* response
    )

#### Description [src]

Sets the ID of the close response of `self`.

It will be passed to `AdwMessageDialog::response` if the window is closed by pressing `Escape` or with a system action.

It doesn’t have to correspond to any of the responses in the dialog.

The default close response is `close`.

Available since: 1.2

Sets property | `Adw.MessageDialog:close-response`

#### Parameters

`response`

  Type: `const char*`

  The close response ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.